# List readers

This endpoint is used for retrieving a list of Readers. Readers represent the Embedded Payments Reader at the physical location. The Reader ID is required to create a Reader Connection to initialise the Tyro Embedded Payments SDK.

Endpoint: GET /tap-to-pay/merchants/{merchantId}/readers
Version: 1.0
Security: JWT

## Path parameters:

  - `merchantId` (string, required)
    The Merchant ID associated with the reader
    Example: 98765

## Query parameters:

  - `locationId` (string)
    The Tyro Connect Location Id of the Readers to be retrieved. This parameter is optional.
    Example: "tc-exampleshop-3000"

## Header parameters:

  - `Authorization` (string, required)

## Response 200 fields (application/json):

  - `results` (array)
    The list of Readers

  - `results.readerId` (string)
    The ID of the reader as specified by the Tyro Connect system. This value will be required when creating an Embedded Payments connection.
    Example: "0f448ac1-862a-4c7b-bdb4-a3b7cdbf6149"

  - `results.locationId` (string)
    The ID of the location as specified by the Tyro Connect system
    Example: "tc-exampleshop-3000"

  - `results.name` (string)
    The name of the reader, a readable identifier for the reader.
    Example: "Reader 1 - Example Shop Sydney"

  - `results.status` (string)
    Status of the ReaderID
    Enum: "ACTIVE", "SUSPENDED", "PENDING_CREATION", "DEACTIVATED"

  - `results.caid` (string)
    a secondary id which represents the location


## Response 403 fields
